List async operations
curl --request GET \
--url https://api.app.chainloop.dev/v1/operations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.app.chainloop.dev/v1/operations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.app.chainloop.dev/v1/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"operations": [
{
"error_message": "error_message",
"finished_at": "2000-01-23T04:56:07.000Z",
"kind": "kind",
"resource_type": "resource_type",
"created_at": "2000-01-23T04:56:07.000Z",
"project_version_id": "project_version_id",
"output": "output",
"project_id": "project_id",
"sandbox_id": "sandbox_id",
"started_at": "2000-01-23T04:56:07.000Z",
"resource_id": "resource_id",
"id": "id",
"status": "ASYNC_OPERATION_STATUS_UNSPECIFIED"
},
{
"error_message": "error_message",
"finished_at": "2000-01-23T04:56:07.000Z",
"kind": "kind",
"resource_type": "resource_type",
"created_at": "2000-01-23T04:56:07.000Z",
"project_version_id": "project_version_id",
"output": "output",
"project_id": "project_id",
"sandbox_id": "sandbox_id",
"started_at": "2000-01-23T04:56:07.000Z",
"resource_id": "resource_id",
"id": "id",
"status": "ASYNC_OPERATION_STATUS_UNSPECIFIED"
}
],
"pagination": {
"total_count": 1,
"page": 4,
"total_pages": 1,
"page_size": 7
}
}{
"code": 0,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 6,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 1,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
{
"@type": "@type"
},
{
"@type": "@type"
}
],
"message": "message"
}List async operations
Lists asynchronous operations with optional filters for resource association and status.
GET
/
v1
/
operations
List async operations
Authorizations
Bearer token for authentication
Query Parameters
The (zero-based) offset of the first item returned in the collection.
The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
Filter by associated resource ID (must be provided with resource_type)
Filter by associated resource type (must be provided with resource_id)
Filter by operation status
Available options:
ASYNC_OPERATION_STATUS_UNSPECIFIED, ASYNC_OPERATION_STATUS_PENDING, ASYNC_OPERATION_STATUS_RUNNING, ASYNC_OPERATION_STATUS_COMPLETED, ASYNC_OPERATION_STATUS_FAILED, ASYNC_OPERATION_STATUS_PURGED Filter by operation kind (e.g., evidence_evaluation)
⌘I
